Subject: USB: ub documentation update

From: Pete Zaitcev <[email-masked]>
Date: Fri, 29 Jul 2005 21:41:08 -0700

The patch which went in was correct, but not quite what I had in mind.
Here is a patch to update that a little bit. Original patch is at:
 http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4749f32da939d4e4160541b2cadc22492bb507ec

Signed-off-by: Pete Zaitcev <[email-masked]>
Signed-off-by: Greg Kroah-Hartman <[email-masked]>

---
 Documentation/usb/usbmon.txt |    2 +-
 drivers/usb/mon/Kconfig      |    9 ++++-----
 drivers/usb/mon/Makefile     |    1 +
 3 files changed, 6 insertions(+), 6 deletions(-)

--- gregkh-2.6.orig/Documentation/usb/usbmon.txt	2005-08-02 13:41:13.000000000 -0700
+++ gregkh-2.6/Documentation/usb/usbmon.txt	2005-08-04 17:27:40.000000000 -0700
@@ -102,7 +102,7 @@
 - URB Status. This field makes no sense for submissions, but is present
   to help scripts with parsing. In error case, it contains the error code.
   In case of a setup packet, it contains a Setup Tag. If scripts read a number
-  in this field, the proceed to read Data Length. Otherwise, they read
+  in this field, they proceed to read Data Length. Otherwise, they read
   the setup packet before reading the Data Length.
 - Setup packet, if present, consists of 5 words: one of each for bmRequestType,
   bRequest, wValue, wIndex, wLength, as specified by the USB Specification 2.0.
--- gregkh-2.6.orig/drivers/usb/mon/Kconfig	2005-08-02 13:41:29.000000000 -0700
+++ gregkh-2.6/drivers/usb/mon/Kconfig	2005-08-04 17:27:40.000000000 -0700
@@ -9,9 +9,8 @@
 	help
 	  If you say Y here, a component which captures the USB traffic
 	  between peripheral-specific drivers and HC drivers will be built.
-	  The USB_MON is similar in spirit and may be compatible with Dave
-	  Harding's USBMon.
+	  For more information, see <file:Documentation/usb/usbmon.txt>.
 
-	  This is somewhat experimental at this time, but it should be safe,
-	  as long as you aren't using modular USB and try to remove this
-	  module.
+	  This is somewhat experimental at this time, but it should be safe.
+
+	  If unsure, say Y.
--- gregkh-2.6.orig/drivers/usb/mon/Makefile	2005-08-02 13:41:29.000000000 -0700
+++ gregkh-2.6/drivers/usb/mon/Makefile	2005-08-04 17:27:41.000000000 -0700
@@ -4,4 +4,5 @@
 
 usbmon-objs	:= mon_main.o mon_stat.o mon_text.o
 
+# This does not use CONFIG_USB_MON because we want this to use a tristate.
 obj-$(CONFIG_USB)	+= usbmon.o